services:
    qba_method.form.bank_transfer:
         class: QbaBit\PaymentMethodsBundle\Form\BankTransferType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_method.form.pay_pal:
         class: QbaBit\PaymentMethodsBundle\Form\PayPalType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_method.form.order_plan:
         class: QbaBit\PaymentMethodsBundle\Form\QbOrderPlanType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_method.form.order_plan_item:
         class: QbaBit\PaymentMethodsBundle\Form\QbOrderPlanItemType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_method.form.plans_show:
         class: QbaBit\PaymentMethodsBundle\Form\PlansShowType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]

    qbabit.listener.order.finished:
        class: QbaBit\PaymentMethodsBundle\EventListener\OrderFinishedListener
        arguments:
            [ '@service_container' ]
        tags:
            - { name: kernel.event_subscriber}
    qbabit.listener.payment.payed:
        class: QbaBit\PaymentMethodsBundle\EventListener\PaymentPayedListener
        arguments:
            [ '@service_container' ]
        tags:
            - { name: kernel.event_subscriber}